Skip to main content
POST
Upload STT dataset item

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

dataset_id
string
required

The STT dataset to add the item to

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Body

multipart/form-data
audio
file
required

WAV file of the spoken audio, at most 25 MB and 10 minutes long

text
string
required

Ground-truth transcript of the audio

Response

Successful Response

uuid
string
required

Dataset item ID

Required string length: 36
Example:

"6ba7b810-9dad-11d1-80b4-00c04fd430c8"

text
string
required

Ground-truth transcript (STT) or synthesis text (TTS)

order_index
integer
required

Position of the item within the dataset. The first item is 0

created_at
string
required

When the dataset item was created (ISO 8601 UTC)

audio_path
string | null

Presigned download URL for the item's audio

updated_at
string | null

When the dataset item was last updated (ISO 8601 UTC)